Get the details of an existing time off request.

Retrieve the detailed info about an existing time off request.

Possible time off request types:

  • days: the request is for X days.
  • hours: the request is for X hours during the requested day (supported only for policy types measured in hours).
  • portionOnRange: the request is for every morning or every afternoon during the requested days.
  • hoursOnRange: the request is for X hours every day during the requested days.
  • differentDayDurations: the request is for a different amount of hours on each requested day.
  • specificHoursDayDurations: the request is for specific hours per day.
  • differentSpecificHoursDayDurations: the request is for different specific hours or portions on each day.
  • percentageOnRange: the request is for X percent of every day during the requested days.
  • openEnded: the request does not have an end date yet.
Each request type is represented by a separate schema with the relevant fields.

Daily durations and cost:This endpoint returns a full daily duration and cost breakdown for all request types when includeDailyDurations=true is provided.

Permissions required: Please refer to the main Time off API Required Permissions page.

Path Params
string
required

The Employee ID as pulled from the database, or from the URL In Bob when viewing the employee. For example, if the URL in Bob is "https://app.hibob.com/employee-profile/3332883884017713238" you should copy the "3332883884017713238".

integer
required

request id

Query Params
boolean
Defaults to true

Determines whether the response includes daily duration details, including the cost per day. Daily costs are calculated based on the request’s duration unit. The totalCost field is always returned at the request level and represents the sum of all daily costs, even when daily durations are not included.

Responses

404

A request with the specified ID is not found for the specified employee.

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json